package com.fuyuanshen.modules.system.domain.dto.app;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author: 默苍璃
 * @date: 2025-06-1818:36
 */
@Data
public class APPUserDTO {


    @ApiModelProperty(value = "用户名")
    private String username;

    @NotBlank(message = "手机号不能为空")
    @ApiModelProperty(value = "手机号（APP登录）")
    private String phoneNumber;

    @NotBlank(message = "密码不能为空")
    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "验证码")
    private String verificationCode;

    /*@ApiModelProperty(value = "验证码")
    private String code;

    @ApiModelProperty(value = "验证码的key")
    private String uuid = "";*/

}
