package com.fuyuanshen.modules.utils.excel;

import lombok.Data;
import com.fuyuanshen.modules.system.domain.dto.DeviceExcelImportDTO;

import java.util.List;

/**
 * @author: 默苍璃
 * @date: 2025-06-0717:01
 */
@Data
public class ImportResult {
    private int successCount;
    private int failureCount;
    private List<DeviceExcelImportDTO> failedRecords;
    // private byte[] errorExcelData; // 存储失败数据的Excel字节流

    private String errorExcelUrl; // 改为存储错误报告的URL

    // 添加成功/失败统计信息
    public String getSummary() {
        return String.format("成功导入 %d 条数据，失败 %d 条", successCount, failureCount);
    }

}
