package com.fuyuanshen.modules.system.domain.dto;

import com.fuyuanshen.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

/**
 * @Description:
 * @Author: WY
 * @Date: 2025/5/14
 **/
@Data
public class DeviceTypeQueryCriteria extends BaseEntity implements Serializable {

    @ApiModelProperty(value = "型号名称")
    private String typeName;

    @ApiModelProperty(value = "所属客户")
    private Set<Long> customerIds;

    @ApiModelProperty(value = "所属客户")
    private Long customerId;

    @ApiModelProperty(value = "com.fuyuanshen")
    private Long tenantId;

    @ApiModelProperty(value = "页码", example = "1")
    private Integer page = 1;

    @ApiModelProperty(value = "每页数据量", example = "10")
    private Integer size = 10;

}
